
plotlib::choose_color := proc(dim, nr)
   local cl, d, dt, f, obj_nr, rgb, s; 
begin
   obj_nr := nr;

   if dim = 2 then
      d := plotlib::Defaults2d[Color];
      f := plotlib::getDefaults2d;
   else
      d := plotlib::Defaults3d[Color];
      f := plotlib::getDefaults3d;
   end_if;

   if type(d[Type]) = "_index" then
      dt := op(f(Color[Type]), 2);
   else
      dt := d[Type];
   end_if;
   
   cl := d[dt];

   if type(cl) <> "_index" then
      if obj_nr = 0 and nops(cl) > 0 then
         if dt = Flat or dt = Monochrome then         
            return( [ -1, [ dt, cl[1] ] ] )
	 else // dt = Height or dt = Rainbow
	    return( [ -1, [ dt, cl[1][1], cl[1][2] ] ] )
	 end_if
      elif obj_nr < 0 then
         obj_nr := -obj_nr + 1;
         if nops(cl) >= obj_nr then
            if dt = Flat or dt = Monochrome then   
               return( [ -obj_nr, [ dt, cl[obj_nr] ] ] )
	    else // dt = Height or dt = Rainbow
	       return( [ -obj_nr, [ dt, cl[obj_nr][1], cl[obj_nr][2] ] ] )
	    end_if
         end_if;
         obj_nr := 0;
      end_if
   end_if;

   repeat
     repeat
       obj_nr := obj_nr + 1;
       // Do not select colors which are nearly black or white
       rgb := RGB::ColorList[obj_nr];
       s := _plus(op(rgb));
     until s >= 0.6 and s <= 2.4 end_repeat;
   until type(cl) = "_index" or contains(cl, rgb) = 0 end_repeat;
 
   if dt = Flat or dt = Monochrome then
      return( [ obj_nr, [ dt, rgb ] ] )
   else // dt = Height or dt = Rainbow
      return( [ obj_nr, [dt, op(op(f(Color[dt]), [2,1]))] ] )
   end_if;

end_proc:
