
// simplification for expressions involving gamma
// we try to expand, in order to simplify e.g. gamma(a) * gamma(1-a)


simplify::gamma:=
proc(a)
  local b;
begin
  b:= misc::maprec(a, {"gamma"} = (x -> gamma::expand(op(x, 1))) );
  if length(b) <= length(a) then
    b
  else
    a
  end_if
end_proc: